PRAGMA foreign_keys=off;

BEGIN TRANSACTION;

ALTER TABLE ott RENAME TO temp_ott;

CREATE TABLE ott (
    _id integer PRIMARY KEY AUTOINCREMENT NOT NULL,
    programme_id text,
    last_played_position integer DEFAULT(-1),
    is_fully_watched integer DEFAULT(0),
    expiration_date integer DEFAULT(-1),
    last_played_position_server integer DEFAULT(-1),
    last_played_timestamp_server integer DEFAULT (0),
    last_played_timestamp integer DEFAULT (0)
);

INSERT INTO ott
    SELECT _id,
           programme_id,
           last_played_position,
           is_fully_watched,
           expiration_date,
           last_played_position_server,
           last_played_timestamp_server,
           last_played_timestamp
    FROM temp_ott;

DROP TABLE temp_ott;

COMMIT;

PRAGMA foreign_keys=on;
